From 7698f57d1f5ab870c89a84da7bea24bef241a458 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Mon, 23 Mar 2020 18:50:59 -0300
Subject: [PATCH 4/5] silence compiler warning

---
 src/backend/utils/fmgr/funcapi.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

diff --git a/src/backend/utils/fmgr/funcapi.c b/src/backend/utils/fmgr/funcapi.c
index ab24359981..3bfefcf48a 100644
--- a/src/backend/utils/fmgr/funcapi.c
+++ b/src/backend/utils/fmgr/funcapi.c
@@ -508,10 +508,13 @@ resolve_anyelement_from_others(polymorphic_actuals *actuals)
 	else if (OidIsValid(actuals->anymultirange_type))
 	{
 		/* Use the element type based on the multirange type */
-		Oid			multirange_base_type = getBaseType(actuals->anymultirange_type);
-		Oid			multirange_typelem =
-			get_range_multirange_subtype(multirange_base_type);
+		Oid			multirange_base_type;
+		Oid			multirange_typelem;
+		Oid			range_base_type;
+		Oid			range_typelem;
 
+		multirange_base_type = getBaseType(actuals->anymultirange_type);
+		multirange_typelem = get_range_multirange_subtype(multirange_base_type);
 		if (!OidIsValid(multirange_typelem))
 			ereport(ERROR,
 					(errcode(ERRCODE_DATATYPE_MISMATCH),
@@ -519,8 +522,8 @@ resolve_anyelement_from_others(polymorphic_actuals *actuals)
 							"anymultirange",
 							format_type_be(multirange_base_type))));
 
-		Oid			range_base_type = getBaseType(multirange_typelem);
-		Oid			range_typelem = get_range_subtype(range_base_type);
+		range_base_type = getBaseType(multirange_typelem);
+		range_typelem = get_range_subtype(range_base_type);
 
 		if (!OidIsValid(range_typelem))
 			ereport(ERROR,
-- 
2.20.1

